# Class UpdateConfirmDialog | EchoHub Documentation

# Class UpdateConfirmDialog

Namespace
  EchoHub.Client.UI.Dialogs

Assembly
  EchoHub.Client.dll

    public sealed class UpdateConfirmDialog

Inheritance
  object
  UpdateConfirmDialog

Inherited Members
  object.GetType()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### UpdateConfirmDialog()

    public UpdateConfirmDialog()

## Methods

### Show(IApplication, string, string)

    public static bool Show(IApplication app, string currentVersion, string newVersion)

#### Parameters

`app` IApplication
`currentVersion` string
`newVersion` string

#### Returns

bool